## calamares-extensions 1.2.1

=== CMakeLists.txt ===
# === This file is part of Calamares - <https://github.com/calamares> ===
#
#   SPDX-FileCopyrightText: 2019 Adriaan de Groot <groot@kde.org>
#   SPDX-License-Identifier: GPL-3.0-or-later
#
###
#
#   Calamares-Examples is Free Software: see the License-Identifier above.
#
#   Individual files may have different licenses (like the CMake
#   infrastructure, which is BSD-2-Clause licensed). Check the SPDX
#   identifiers in each file.
#
###
#
# This is an example of a repository containing Calamares branding-components
# and Calamares modules and Calamares configuration, showing how a single
# repository can be used to provide customisation for Calamares, so that a
# distro can use an unmodified (upstream) Calamares package and a local
# customisation package in tandem.
#
# Besides being an example repository, it is also a collection of modules
# and branding that is usable in its own right.
#
### CONFIGURING
#
# By default, all the branding examples and all the modules are built.
# This can be influenced through:
#   SKIP_MODULES    : a space or semicolon-separated list of directory names
#                     under src/modules that should not be built.
#   USE_*           : fills in SKIP_MODULES for modules called *-<something>
# In this repository, there is just one "group" to which USE_* applies:
#   USE_os          : operating-system-specific modules.
#
### NOTES
#
# Call this CMake file in script mode, e.g. `cmake -P CMakeLists.txt`
# to print out version information. Use `cmake -DVERSION_STYLE=short`
# to get just the short versioning.
#
cmake_minimum_required(VERSION 3.3 FATAL_ERROR)

set( CALAMARES_EXTENSIONS_VERSION 1.2.1 )

include( ${CMAKE_CURRENT_LIST_DIR}/CMakeModules/ExtendedVersion.cmake )
if ( CMAKE_SCRIPT_MODE_FILE )
    report_version( ${CALAMARES_EXTENSIONS_VERSION} ${CMAKE_CURRENT_LIST_DIR} )
    return()
endif()

project(calamares-extensions
    VERSION ${CALAMARES_EXTENSIONS_VERSION}
    LANGUAGES CXX
)

set( CMAKE_CXX_STANDARD 17 )
set( CMAKE_CXX_STANDARD_REQUIRED ON )

# On developer's machine, the user package registry breaks
# consumers by loading the developer's config from a build
# directory (which doesn't have the rest of the config
# installed inside it).
set( CALAMARES_VERSION_REQUIRED 3.2.46 )
find_package(Calamares ${CALAMARES_VERSION_REQUIRED} NO_CMAKE_PACKAGE_REGISTRY)
if (NOT TARGET Calamares::calamares OR NOT TARGET Calamares::calamaresui)
    find_package(Calamares ${CALAMARES_VERSION_REQUIRED} REQUIRED)
endif()

### CMAKE SETUP
#
# Enable IN_LIST
if( POLICY CMP0057 )
    cmake_policy( SET CMP0057 NEW )
endif()
# Let ``AUTOMOC`` and ``AUTOUIC`` process ``GENERATED`` files.
if( POLICY CMP0071 )
    cmake_policy( SET CMP0071 NEW )
endif()
# Recognize more macros to trigger automoc
if(CMAKE_VERSION VERSION_GREATER_EQUAL "3.10.0")
    list(APPEND CMAKE_AUTOMOC_MACRO_NAMES
        "K_PLUGIN_FACTORY_WITH_JSON"
        "K_EXPORT_PLASMA_DATAENGINE_WITH_JSON"
        "K_EXPORT_PLASMA_RUNNER"
    )
endif()
include( CTest )


### BRANDING
#
# Typically you would use only one branding, since that's
# the (single) branding for your distro.
#
calamares_add_branding_subdirectory( branding/default NAME default )
calamares_add_branding_subdirectory( branding/default-mobile NAME default-mobile )
calamares_add_branding_subdirectory( branding/fancy NAME fancy )

# This one has files in subdirectories
calamares_add_branding_subdirectory( branding/samegame NAME samegame SUBDIRECTORIES img )

# KaOS branding, with translations, note we can *NAME* something
# different from the source directory it lives in; this will be installed
# to a directory called *NAME* though -- and the `branding.desc` must
# have a *componentName* that matches this *NAME*.
calamares_add_branding_subdirectory( branding/kaos_branding NAME kaos )

### MODULES
#
# Add one of more modules, either C++ or Python.
#
set(LIST_SKIPPED_MODULES "")

calamares_add_module_subdirectory( modules/freebsddisk LIST_SKIPPED_MODULES )  # C++ viewmodule
calamares_add_module_subdirectory( modules/mobile LIST_SKIPPED_MODULES )
calamares_add_module_subdirectory( modules/os-freebsd LIST_SKIPPED_MODULES )
calamares_add_module_subdirectory( modules/os-nixos LIST_SKIPPED_MODULES )
calamares_add_module_subdirectory( modules/refind LIST_SKIPPED_MODULES )
calamares_add_module_subdirectory( modules/slowpython LIST_SKIPPED_MODULES )  # Python job
calamares_add_module_subdirectory( modules/unpackfsc LIST_SKIPPED_MODULES )

# If modules cannot be built, they usually call a macro
# which builds a list of explanations; show that list.
calamares_explain_skipped_modules( ${LIST_SKIPPED_MODULES} )

=== modules/mobile/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Oliver Smith <ollieparanoid@postmarketos.org>
# SPDX-License-Identifier: GPL-3.0-or-later

calamares_add_plugin( mobile
    TYPE viewmodule
    EXPORT_MACRO PLUGINDLLEXPORT_PRO
    SOURCES
        Config.cpp
        MobileQmlViewStep.cpp
        PartitionJob.cpp
        UsersJob.cpp
    RESOURCES
        mobile.qrc
    SHARED_LIB
)

=== modules/unpackfsc/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Adriaan de Groot <groot@kde.org>
# SPDX-License-Identifier: GPL-3.0-or-later

calamares_add_plugin( unpackfsc
    TYPE job
    EXPORT_MACRO PLUGINDLLEXPORT_PRO
    SOURCES
        UnpackFSCJob.cpp
        # The workers for differently-packed filesystems
        Runners.cpp
        FSArchiverRunner.cpp
        UnsquashRunner.cpp
    SHARED_LIB
)

=== branding/kaos_branding/lang/CMakeLists.txt ===
#   SPDX-FileCopyrightText: no
#   SPDX-License-Identifier: CC0-1.0
#
foreach( lang ast ca cs de en es es_AR fr hu id_ID nl_NL pl pt_BR pt_PT ro_RO ru sr_RS tr_TR zh_CN )
   list( APPEND TS_FILES "${CMAKE_CURRENT_SOURCE_DIR}/calamares-${COMPONENT_NAME}_${lang}.ts" )
endforeach()
qt5_add_translation( QM_FILES ${TS_FILES} )

add_custom_target( translations ALL DEPENDS ${QM_FILES} )
install( FILES ${QM_FILES} DESTINATION share/calamares/branding/${COMPONENT_NAME}/lang )

=== debian/changelog ===
calamares-extensions (1.2.1-2) unstable; urgency=medium

  * d/gbp: add debian-branch

 -- Jarrah Gosbell <debian@undef.tools>  Thu, 03 Nov 2022 04:15:38 +0000

calamares-extensions (1.2.1-1) unstable; urgency=medium

  * Initial Release (Closes: #998858)

 -- Jarrah Gosbell <debian@undef.tools>  Wed, 27 Apr 2022 08:45:19 +0000

=== debian/control ===
Source: calamares-extensions
Section: utils
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>,
Uploaders: Jarrah Gosbell <debian@undef.tools>,
           Arnaud Ferraris <aferraris@debian.org>,
Build-Depends: calamares,
               cmake,
               debhelper-compat (= 13),
               libcryptsetup-dev,
               libkf5coreaddons-dev,
               libkf5declarative-dev,
               libkf5kdelibs4support-dev,
               libsdl2-dev,
               libsdl2-ttf-dev,
               libqt5svg5-dev,
               libyaml-cpp-dev,
               qtdeclarative5-dev,
               qttools5-dev,
Standards-Version: 4.6.0.1
Homepage: https://github.com/calamares/calamares-extensions
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/calamares-extensions
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/calamares-extensions.git
Rules-Requires-Root: no

Package: calamares-extensions
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         calamares-extensions-data (= ${source:Version}),
         calamares,
         kirigami2-dev,
         libkf5coreaddons-dev,
         libkf5declarative-dev,
         libkf5kdelibs4support-dev,
         libqt5svg5-dev,
         libyaml-cpp-dev,
         qml-module-org-kde-kirigami2,
         qml-module-qtquick-virtualkeyboard,
         qml-module-qtqml,
         qml-module-qtquick-layouts,
         qml-module-qtquick-window2,
         qml-module-qtquick2,
         qml-module-qt-labs-folderlistmodel,
         qtdeclarative5-dev,
         qttools5-dev,
         qtvirtualkeyboard-plugin,
Recommends:
         f2fs-tools,
         btrfs-progs,
         e2fsprogs,
Description: Mobile module for Calamares installer framework
 Provides the mobile module for calamares, which allows installing
 on devices with small, touch-screens.
 .
 This package contains architecture-dependent binary files.

Package: calamares-extensions-data
Architecture: all
Depends: ${misc:Depends},
Description: Mobile module for Calamares installer framework - data files
 Provides the mobile module for calamares, which allows installing
 on devices with small, touch-screens.
 .
 This package contains architecture-independent data files.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_CXX_COMPILER_ARG1="$(CPPFLAGS)"

# Tests rely on test_conf and loadmodule from calamares, which are not packaged.
override_dh_auto_test:

=== debian/watch ===
version=4
opts="searchmode=plain,\
filenamemangle=s%v?@ANY_VERSION@%@PACKAGE@-$1.tar.gz%" \
https://api.github.com/repos/calamares/calamares-extensions/releases?per_page=100 \
https://api.github.com/repos/[^/]+/[^/]+/tarball/v?@ANY_VERSION@

## calamares-extensions 1.3.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -40,7 +40,7 @@
 #
 cmake_minimum_required(VERSION 3.3 FATAL_ERROR)
 
-set( CALAMARES_EXTENSIONS_VERSION 1.2.1 )
+set( CALAMARES_EXTENSIONS_VERSION 1.3.2 )
 
 include( ${CMAKE_CURRENT_LIST_DIR}/CMakeModules/ExtendedVersion.cmake )
 if ( CMAKE_SCRIPT_MODE_FILE )

=== debian/changelog ===
calamares-extensions (1.3.2-2) unstable; urgency=medium

  * d/patches: Fix build with newer Cmake and Calamares 3.3.0 (Closes:
    #1057546, #1058528)
  * d/patches: Add Forwarded header to branding patch

 -- Jarrah Gosbell <debian@undef.tools>  Mon, 18 Dec 2023 07:50:41 +0000

calamares-extensions (1.3.2-1) unstable; urgency=medium

  [ Jarrah Gosbell ]
  * d/gbp: Add upstream branch config
  * debian/upstream: Update upstream gpg key
  * d/watch: Allow checking upstream signature
  * d/patches: Remove upstreamed mobile confirm patch
  * d/control: Bump standards version
  * d/source: Override signing key warning
  * d/patches: Fix screen size issues
  * d/control: Depend on calamares 3.3.x

 -- Jarrah Gosbell <debian@undef.tools>  Thu, 28 Sep 2023 09:53:44 +0000

calamares-extensions (1.2.1-3) unstable; urgency=medium

  [ Arnaud Ferraris ]
  * d/copyright: fix typo

  [ Debian Janitor ]
  * Apply multi-arch hints. + calamares-extensions-data: Add Multi-Arch: foreign.

  [ Jarrah Gosbell ]
  * d/patches: reflow the confirm screen to fit Librem5

 -- Jarrah Gosbell <debian@undef.tools>  Mon, 12 Jun 2023 08:39:12 +0000

=== debian/watch ===
version=4
opts="searchmode=plain,\
pgpsigurlmangle=s/$/.asc/,\
filenamemangle=s%v?@ANY_VERSION@%@PACKAGE@-$1.tar.gz%" \
https://api.github.com/repos/calamares/calamares-extensions/releases?per_page=100 \
https://github.com/calamares/calamares-extensions/releases/download/[^/]+[^/]+/calamares-extensions-@ANY_VERSION@.tar.gz

## calamares-extensions 3.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -32,15 +32,18 @@
 # In this repository, there is just one "group" to which USE_* applies:
 #   USE_os          : operating-system-specific modules.
 #
+# There is a knob WITH_QT6 which can be used to build against Qt6 rather
+# than Qt5. This must match what Calamares itself is built with.
+#
 ### NOTES
 #
 # Call this CMake file in script mode, e.g. `cmake -P CMakeLists.txt`
 # to print out version information. Use `cmake -DVERSION_STYLE=short`
 # to get just the short versioning.
 #
-cmake_minimum_required(VERSION 3.3 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
-set( CALAMARES_EXTENSIONS_VERSION 1.3.2 )
+set( CALAMARES_EXTENSIONS_VERSION 3.3.1 )
 
 include( ${CMAKE_CURRENT_LIST_DIR}/CMakeModules/ExtendedVersion.cmake )
 if ( CMAKE_SCRIPT_MODE_FILE )
@@ -60,11 +63,43 @@
 # consumers by loading the developer's config from a build
 # directory (which doesn't have the rest of the config
 # installed inside it).
-set( CALAMARES_VERSION_REQUIRED 3.2.46 )
+set( CALAMARES_VERSION_REQUIRED 3.3.1 )
+message(STATUS "Looking for Calamares system-wide")
 find_package(Calamares ${CALAMARES_VERSION_REQUIRED} NO_CMAKE_PACKAGE_REGISTRY)
 if (NOT TARGET Calamares::calamares OR NOT TARGET Calamares::calamaresui)
+    message(STATUS "Looking for Calamares in the package registry")
     find_package(Calamares ${CALAMARES_VERSION_REQUIRED} REQUIRED)
 endif()
+
+message(STATUS "Found Calamares version ${Calamares_VERSION}")
+message(STATUS "              libraries ${Calamares_LIB_DIRS}")
+message(STATUS "")
+
+### EXTRACTING DEPENDENCIES AND CONFIGURATION FROM CALAMARES
+#
+#
+if(WITH_QT6)
+    set(kfname "KF6")
+    set(KF_VERSION 5.240) # KDE Neon weirdness
+else()
+    message(STATUS "Building Calamares with Qt5")
+    set(kfname "KF5")
+    set(KF_VERSION 5.78)
+    # API that was deprecated before Qt 5.15 causes a compile error
+    add_compile_definitions(QT_DISABLE_DEPRECATED_BEFORE=0x050f00)
+endif()
+
+include( FeatureSummary )
+find_package(${kfname}CoreAddons ${KF_VERSION} QUIET)
+set_package_properties(
+    ${kfname}CoreAddons
+    PROPERTIES
+    TYPE REQUIRED
+    DESCRIPTION "KDE Framework CoreAddons"
+    URL "https://api.kde.org/frameworks/"
+    PURPOSE "Essential Framework for AboutData and Macros"
+)
+
 
 ### CMAKE SETUP
 #
@@ -119,6 +154,8 @@
 calamares_add_module_subdirectory( modules/slowpython LIST_SKIPPED_MODULES )  # Python job
 calamares_add_module_subdirectory( modules/unpackfsc LIST_SKIPPED_MODULES )
 
+message(STATUS "Calamares extensions ${CALAMARES_EXTENSIONS_VERSION} for Calamares version ${Calamares_VERSION}")
+
 # If modules cannot be built, they usually call a macro
 # which builds a list of explanations; show that list.
 calamares_explain_skipped_modules( ${LIST_SKIPPED_MODULES} )

=== debian/changelog ===
calamares-extensions (3.3.1-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:36:49 +1100

calamares-extensions (3.3.1-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:00:23 +0000

calamares-extensions (3.3.1-1) unstable; urgency=medium

  * New Upstream Release
  * d/patches: Remove upstreamed patches

 -- Jarrah Gosbell <debian@undef.tools>  Fri, 02 Feb 2024 07:33:34 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: calamares-extensions
 Section: utils
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>,
 Uploaders: Jarrah Gosbell <debian@undef.tools>,
            Arnaud Ferraris <aferraris@debian.org>,
-Build-Depends: calamares,
+Build-Depends: calamares (>= 3.3.0~alpha2),
                cmake,
                debhelper-compat (= 13),
                libcryptsetup-dev,
@@ -17,7 +18,7 @@
                libyaml-cpp-dev,
                qtdeclarative5-dev,
                qttools5-dev,
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/calamares/calamares-extensions
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/calamares-extensions
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/calamares-extensions.git
@@ -28,7 +29,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          calamares-extensions-data (= ${source:Version}),
-         calamares,
+         calamares (>= 3.3.0~alpha2),
          kirigami2-dev,
          libkf5coreaddons-dev,
          libkf5declarative-dev,
@@ -58,6 +59,7 @@
 Package: calamares-extensions-data
 Architecture: all
 Depends: ${misc:Depends},
+Multi-Arch: foreign
 Description: Mobile module for Calamares installer framework - data files
  Provides the mobile module for calamares, which allows installing
  on devices with small, touch-screens.

## calamares-extensions 3.3.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -43,7 +43,7 @@
 #
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
-set( CALAMARES_EXTENSIONS_VERSION 3.3.1 )
+set( CALAMARES_EXTENSIONS_VERSION 3.3.12 )
 
 include( ${CMAKE_CURRENT_LIST_DIR}/CMakeModules/ExtendedVersion.cmake )
 if ( CMAKE_SCRIPT_MODE_FILE )
@@ -63,12 +63,12 @@
 # consumers by loading the developer's config from a build
 # directory (which doesn't have the rest of the config
 # installed inside it).
-set( CALAMARES_VERSION_REQUIRED 3.3.1 )
+set( CALAMARES_VERSION_REQUIRED 3.3.12 )
 message(STATUS "Looking for Calamares system-wide")
-find_package(Calamares ${CALAMARES_VERSION_REQUIRED} NO_CMAKE_PACKAGE_REGISTRY)
+find_package(Calamares ${CALAMARES_VERSION_REQUIRED} CONFIG NO_CMAKE_PACKAGE_REGISTRY)
 if (NOT TARGET Calamares::calamares OR NOT TARGET Calamares::calamaresui)
     message(STATUS "Looking for Calamares in the package registry")
-    find_package(Calamares ${CALAMARES_VERSION_REQUIRED} REQUIRED)
+    find_package(Calamares ${CALAMARES_VERSION_REQUIRED} CONFIG REQUIRED)
 endif()
 
 message(STATUS "Found Calamares version ${Calamares_VERSION}")
@@ -78,11 +78,11 @@
 ### EXTRACTING DEPENDENCIES AND CONFIGURATION FROM CALAMARES
 #
 #
-if(WITH_QT6)
+if(Calamares_WITH_QT6)
     set(kfname "KF6")
     set(KF_VERSION 5.240) # KDE Neon weirdness
 else()
-    message(STATUS "Building Calamares with Qt5")
+    message(STATUS "Building Calamares-extensions with Qt5")
     set(kfname "KF5")
     set(KF_VERSION 5.78)
     # API that was deprecated before Qt 5.15 causes a compile error
@@ -152,7 +152,9 @@
 calamares_add_module_subdirectory( modules/os-nixos LIST_SKIPPED_MODULES )
 calamares_add_module_subdirectory( modules/refind LIST_SKIPPED_MODULES )
 calamares_add_module_subdirectory( modules/slowpython LIST_SKIPPED_MODULES )  # Python job
-calamares_add_module_subdirectory( modules/unpackfsc LIST_SKIPPED_MODULES )
+# The unpackfsc module moved into Calamares proper in 3.3.11
+#
+# calamares_add_module_subdirectory( modules/unpackfsc LIST_SKIPPED_MODULES )
 
 message(STATUS "Calamares extensions ${CALAMARES_EXTENSIONS_VERSION} for Calamares version ${Calamares_VERSION}")

=== modules/flatpakinfo/CMakeLists.txt ===
# === This file is part of Calamares - <https://calamares.io> ===
#
#   SPDX-FileCopyrightText: 2020 Adriaan de Groot <groot@kde.org>
#   SPDX-License-Identifier: BSD-2-Clause
#
calamares_add_plugin(flatpakInfo
    TYPE job
    EXPORT_MACRO PLUGINDLLEXPORT_PRO
    SOURCES
        FlatpakInfoJob.h
        ItemFlatpak.h
        PackagePool.h
        FlatpakInfoJob.cpp
        ItemFlatpak.cpp
        PackagePool.cpp
    SHARED_LIB
)

=== modules/freebsddisk/CMakeLists.txt ===
#   SPDX-FileCopyrightText: no
#   SPDX-License-Identifier: CC0-1.0
#
if( NOT Calamares_WITH_QML )
    calamares_skip_module( "freebsddisk (QML is not supported in this build)" )
    return()
endif()

calamares_add_plugin( freebsddisk
    TYPE viewmodule
    EXPORT_MACRO PLUGINDLLEXPORT_PRO
    SOURCES
        FreeBSDDiskViewStep.cpp
    RESOURCES
        freebsddisk.qrc
    SHARED_LIB
)

=== modules/os-freebsd/CMakeLists.txt ===
# The OS-FreeBSD module does "all the things" in a FreeBSD installation.
# Since the other modules -- users, fstab, grub, pretty much all of them
# -- are Linux-specific, it doesn't make much sense to fork each of them
# or provide alternatives, so instead we have one module that completes
# a FreeBSD installation based on the GlobalStorage values set by
# Calamares viewmodules.
#
#   SPDX-FileCopyrightText: 2019 Adriaan de Groot <groot@kde.org>
#   SPDX-License-Identifier: GPL-3.0-or-later
#   License-Filename: LICENSE
#

calamares_add_plugin( os-freebsd
    TYPE job
    EXPORT_MACRO PLUGINDLLEXPORT_PRO
    SOURCES
        FreeBSDJob.cpp
    SHARED_LIB
    NO_CONFIG
)

=== debian/changelog ===
calamares-extensions (3.3.12-1.2) unstable; urgency=medium

  * Non-maintainer upload
  * Drop unnecessary Depends: libkf5kdelibs4support-dev (Closes: #1106158)

 -- Bastian Germann <bage@debian.org>  Wed, 04 Jun 2025 10:13:59 +0200

calamares-extensions (3.3.12-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * d/control: Drop comma from Maintainer
  * Port to Qt6 (Closes: #1092373)

 -- Bastian Germann <bage@debian.org>  Mon, 03 Mar 2025 16:29:54 +0100

calamares-extensions (3.3.12-1) unstable; urgency=medium

  [ Jarrah Gosbell ]
  * New upstream release
  * d/watch: Remove broken signature checking
  * d/patches: Refresh for new upstream release
  * d/copyright: Update for flatpakinfo module

 -- Jarrah Gosbell <debian@undef.tools>  Sat, 07 Dec 2024 10:48:14 +0000

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,21 @@
 Source: calamares-extensions
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>,
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Jarrah Gosbell <debian@undef.tools>,
            Arnaud Ferraris <aferraris@debian.org>,
-Build-Depends: calamares (>= 3.3.0~alpha2),
+Build-Depends: calamares (>= 3.3.13),
                cmake,
                debhelper-compat (= 13),
                libcryptsetup-dev,
-               libkf5coreaddons-dev,
-               libkf5declarative-dev,
-               libkf5kdelibs4support-dev,
+               libkf6coreaddons-dev,
+               libkf6declarative-dev,
                libsdl2-dev,
                libsdl2-ttf-dev,
-               libqt5svg5-dev,
+               qt6-svg-dev,
                libyaml-cpp-dev,
-               qtdeclarative5-dev,
-               qttools5-dev,
+               qt6-declarative-dev,
+               qt6-tools-dev,
 Standards-Version: 4.6.2
 Homepage: https://github.com/calamares/calamares-extensions
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/calamares-extensions
@@ -33,7 +31,6 @@
          kirigami2-dev,
          libkf5coreaddons-dev,
          libkf5declarative-dev,
-         libkf5kdelibs4support-dev,
          libqt5svg5-dev,
          libyaml-cpp-dev,
          qml-module-org-kde-kirigami2,

=== debian/watch ===
version=4
opts="searchmode=plain,\
filenamemangle=s%v?@ANY_VERSION@%@PACKAGE@-$1.tar.gz%" \
https://api.github.com/repos/calamares/calamares-extensions/releases?per_page=100 \
https://github.com/calamares/calamares-extensions/releases/download/[^/]+[^/]+/calamares-extensions-@ANY_VERSION@.tar.gz
